Subject: Re: bug#21681: [PATCH] Fix formatting of lexical-binding at eof warning

From: Noam Postavsky <[email-masked]>
Date: Wed, 14 Oct 2015 13:47:40 -0400

On Wed, Oct 14, 2015 at 1:42 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Wed, 14 Oct 2015 12:56:28 -0400
>> From: Noam Postavsky <[email-masked]>
>> own, but display-warning only prints the 1st symbol of the list so the
>> warning text itself wouldn't change.
>
> I find "files" no more explanatory that "warning".  If we lack
> infrastructure to display meaningful messages that unequivocally point
> to the nature of the problem, let's add the missing infrastructure.

How about making display-warning print all TYPE symbols then?